STRUCT SND_SOC_JACK_(9)

NAME
struct_snd_soc_jack_zone - Describes voltage zones of jack detection

SYNOPSIS

struct snd_soc_jack_zone {
  unsigned int min_mv;
  unsigned int max_mv;
  unsigned int jack_type;
  unsigned int debounce_time;
};

MEMBERS

min_mv
    start voltage in mv

max_mv
    end voltage in mv

jack_type
    type of jack that is expected for this voltage

debounce_time
    debounce_time for jack, codec driver should wait for this duration before reading the adc for voltages @:list: list container

COPYRIGHT